## org.jvnet.maven.plugin.antrun
Class ResolveArtifactTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.jvnet.maven.plugin.antrun.ResolveArtifactTask

All Implemented Interfaces:
  java.lang.Cloneable

    public class ResolveArtifactTask

extends org.apache.tools.ant.Task

Ant task that resolves an artifact through Maven.

Author:
  Paul Sterk, Kohsuke Kawaguchi

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`ResolveArtifactTask()`

Method Summary
`void` `execute()`
`void` `setArtifactId(java.lang.String artifactId)`
`void` `setClassifier(java.lang.String classifier)`
`void` `setGroupId(java.lang.String groupId)`
`void` `setProperty(java.lang.String property)`
`void` `setTodir(java.io.File target)` The directory name to copy the artifact to.
`void` `setTofile(java.io.File target)` The file name to copy the artifact to.
`void` `setType(java.lang.String type)`
`void` `setVersion(java.lang.String version)`

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResolveArtifactTask

    public ResolveArtifactTask()

Method Detail

### setProperty

    public void setProperty(java.lang.String property)

### setGroupId

    public void setGroupId(java.lang.String groupId)

### setArtifactId

    public void setArtifactId(java.lang.String artifactId)

### setVersion

    public void setVersion(java.lang.String version)

### setType

    public void setType(java.lang.String type)

### setClassifier

    public void setClassifier(java.lang.String classifier)

### setTofile

    public void setTofile(java.io.File target)

  The file name to copy the artifact to. Optional. The name is

### setTodir

    public void setTodir(java.io.File target)

  The directory name to copy the artifact to. Optional.

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Overrides:
    `execute` in class `org.apache.tools.ant.Task`
  Throws:
    `org.apache.tools.ant.BuildException`

Copyright © 2011. All Rights Reserved.